# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCancelDelegationTokenResp

Packages that use TCancelDelegationTokenResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCancelDelegationTokenResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TCancelDelegationTokenResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.CancelDelegationToken_call`
`static class`
`TCLIService.AsyncProcessor.CancelDelegationToken<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCancelDelegationTokenResp
Modifier and Type
Class
Description
`class`
`TCancelDelegationTokenResp`
`class`
`TCancelDelegationTokenResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TCancelDelegationTokenResp
Modifier and Type
Field
Description
`TCancelDelegationTokenResp`
TCLIService.CancelDelegationToken_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCancelDelegationTokenResp
Modifier and Type
Method
Description
`TCancelDelegationTokenResp`
TCLIService.Client.`CancelDelegationToken(TCancelDelegationTokenReq req)`
`TCancelDelegationTokenResp`
TCLIService.Iface.`CancelDelegationToken(TCancelDelegationTokenReq req)`
`TCancelDelegationTokenResp`
TCancelDelegationTokenResp.`deepCopy()`
`TCancelDelegationTokenResp`
TCLIService.AsyncClient.CancelDelegationToken_call.`getResult()`
`TCancelDelegationTokenResp`
TCLIService.CancelDelegationToken_result.`getSuccess()`
`TCancelDelegationTokenResp`
TCLIService.Client.`recv_CancelDelegationToken()`
`TCancelDelegationTokenResp`
TCancelDelegationTokenResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TCancelDelegationTokenResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp>`
TCLIService.AsyncProcessor.CancelDelegationToken.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCancelDelegationTokenResp
Modifier and Type
Method
Description
`int`
TCancelDelegationTokenResp.`compareTo(TCancelDelegationTokenResp other)`
`boolean`
TCancelDelegationTokenResp.`equals(TCancelDelegationTokenResp that)`
`TCLIService.CancelDelegationToken_result`
TCLIService.CancelDelegationToken_result.`setSuccess(TCancelDelegationTokenResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TCancelDelegationTokenResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`CancelDelegationToken(TCancelDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler)`
`void`
TCLIService.AsyncIface.`CancelDelegationToken(TCancelDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.CancelDelegationToken.`start(I iface, TCLIService.CancelDelegationToken_args args, org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCancelDelegationTokenResp
Modifier
Constructor
Description
``
`CancelDelegationToken_result(TCancelDelegationTokenResp success)`
``
`TCancelDelegationTokenResp(TCancelDelegationTokenResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TCancelDelegationTokenResp
Modifier
Constructor
Description
``
`CancelDelegationToken_call(TCancelDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TCancelDelegationTokenResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`